Drobo

Service version not recognized

I recently upgraded my Mac Mini. The new mini is running on 10.15.4 (Catalina).
I have a DR4-4 Drobo which has been working fine (all the lights are on and running). I have downloaded the latest service version for mac 3.5.0 but I keep getting a error message saying my 3.5.0 version does not match. Not sure what it doesn’t match to but dashboard will not launch.

Also is it possible to run the DR4 on a thunderbolt 3 port when I get it working?

This post was flagged by the community and is temporarily hidden.